Configure Meta Lead Ads
Configure Meta Lead Ads integration for a specific call flow. When a new lead is received, it automatically triggers a call.
POST
Headers
x-api-keystringrequiredAPI key used for authenticating requests to the API.
x-workspace-idstringrequiredWorkspace identifier for the API.
Path Parameters
flowIdstringrequiredThe call flow ID to configure Meta Lead Ads for.
Request Body
clientIdstringrequiredMeta App client ID.
clientSecretstringrequiredMeta App client secret.
userAccessTokenstringrequiredMeta user access token from the OAuth flow.
callDelaySecondsnumberdefault: 0Delay in seconds before calling a new lead.
selectedPagesarrayrequiredArray of Facebook pages and lead forms to monitor.
Response Fields
successbooleanWhether the configuration was successful.
webhookRegisteredbooleanWhether the webhook was successfully registered with Meta.
{
"success": true,
"webhookRegistered": true
}